//
// IMFunctions.h
// LiveProject
//
// Created by haibara on 9/25/15.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@interface IMFunctions : NSObject
@end

CGRect CGRectSetWidth(CGRect rect, CGFloat width);
CGRect CGRectSetHeight(CGRect rect, CGFloat height);
CGRect CGRectSetX(CGRect rect, CGFloat x);
CGRect CGRectSetY(CGRect rect, CGFloat y);
CGRect CGRectSetSize(CGRect rect, CGSize size);
CGRect CGRectSetOrigin(CGRect rect, CGPoint origin);

CGRect CGRectZeroMakeSize(CGSize size);
CGRect CGRectInsetSize(CGSize size, CGFloat dx, CGFloat dy);

BOOL CLLocationCoordinate2DEqualToCoordinate(CLLocationCoordinate2D coord1, CLLocationCoordinate2D coord2);
NSString *NSStringFromCLLocationCoordinate2D(CLLocationCoordinate2D coord);

NSOperatingSystemVersion NSOperatingSystemVersionMake(NSInteger majorVersion, NSInteger minorVersion, NSInteger patchVersion);
